Page MenuHomePhabricator

spike: investigate creating an ingenico form with no city and state
Closed, ResolvedPublic2 Story Points

Description

advancement is interested in trying a form without city and state during big english. Currently we can't a/b test or make alternate forms. They would like to test this when the campaign quiets down after the 15th. Will this be hard to develop and test? Will we need downtime to switch it out? :et's discuss risks and timing before we do this work.

Event Timeline

DStrine created this task.Nov 28 2016, 4:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2016, 4:49 PM
Pcoombe added a subscriber: Pcoombe.Jul 5 2017, 7:54 PM
Ejegg claimed this task.Sep 8 2017, 9:53 PM
Ejegg triaged this task as Normal priority.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Quill Pencil board.
Ejegg set the point value for this task to 2.

Change 376850 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP allow alternate configurations with 'variant' option

https://gerrit.wikimedia.org/r/376850

Change 376850 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Allow alternate configurations with 'variant' option

https://gerrit.wikimedia.org/r/376850

The 'variant' code is deployed to prod, just needs a change to fundraising_code_update: T175871

Change 378746 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/core@fundraising/REL1_27] Add GC form variant with no city and state

https://gerrit.wikimedia.org/r/378746

Change 378746 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_27] Add GC form variant with no city and state

https://gerrit.wikimedia.org/r/378746

One last bit to review, so we record the variant: https://gerrit.wikimedia.org/r/379079

Awesome, thanks @Ejegg! If this has been successfully tested internally, we can try it in a US test next week.

Ejegg added a comment.Sep 22 2017, 4:23 PM

Yep, tested and working. The variant isn't showing up in contribution_tracking.payment_form as I had expected, but the payment goes through just fine, with AVS showing a match. The US postal code -> city/state lookup is also working, with the final contact record having both filled in. I'll try to figure out what's up with the c_t row.

Ejegg closed this task as Resolved.Sep 26 2017, 12:08 AM